Subject: [sipcore] RFC5626, reg-id usage after power up

From: Ivo Sedlacek <[email-masked]>
Date: Thu, 8 Sep 2011 12:15:25 +0200

Hello,

can anyone please help me with the following RFC5626 related question?

Suppose a UA registers with registrar over two flows. A Contact with feature tag X is registered over one flow and a Contact with feature tag Y is registered over other flow.
Whenever the UA registers the Contact with the feature tag X, the reg-id=987 is used.
Whenever the UA registers the Contact with the feature tag Y, the reg-id=654 is used.

When the UA is powered up for the first time, the UA uses reg-id=987 when registering over the first flow and uses reg-id=654 when registering over the second flow later on.
Then the UA is switched off.
When the UA is powered up again:
A)    must the UA use reg-id=987 when registering over the first flow and reg-id=654 when registering over the second flow later on?
or
B)    can  the UA use reg-id=654 when registering over the first flow and reg-id=987 when registering over the second flow later on?

RFC5626, section 4.2.1 talks about "the same sequence of reg-id values", but it is a little unclear.

----
4.2.1.  Initial Registrations
...
   A UAC conforming to this specification MUST include in the Contact
   header field, a "reg-id" parameter that is distinct from other
   "reg-id" parameters used in other registrations that use the same
   "+sip.instance" Contact header field parameter and AOR.  Each one of
   these registrations will form a new flow from the UA to the proxy.
   The sequence of reg-id values does not have to be sequential but MUST
   be exactly the same sequence of reg-id values each time the UA
   instance power cycles or reboots, so that the reg-id values will
   collide with the previously used reg-id values.
<<<
This is so the
   registrar can replace the older registrations.
...
----

Thanks for clarification.

Kind regards

Ivo Sedlacek

---

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Thu, 8 Sep 2011 11:20:15 -0400

> From: Ivo Sedlacek [[email-masked]]
> 
> A)    must the UA use reg-id=987 when registering over the first flow
> and reg-id=654 when registering over the second flow later on?
> or
> B)    can  the UA use reg-id=654 when registering over the first flow
> and reg-id=987 when registering over the second flow later on?
> 

The important aspect is:

   so that the reg-id values will collide with the previously used
   reg-id values.  This is so the registrar can replace the older
   registrations.

Strictly, the registrar/proxy doesn't depend on the UA repeating
values of reg-id in order to operate correctly.  But the system
operates much better if, when a later registration is intended to be
the successor of an earlier registration, it uses the same reg-id.

In your case, it appears that the feature tags are important, so you
would want to use reg-id 987 when registering with feature tag X, and
reg-id 654 when registering with feature tag Y.

Dale